package cooperari.aspectj;

import cooperari.coverage.Noise;

/**
 * Field acess instrumentation.
 */
aspect FieldAccess {
  
  before(Object o) : get(* *.*) && !within(cshe.aspectj) && target(o) {
    Noise.tick();
  }
  after(Object o) : get(* *.*) && !within(cooperari.aspectj) && target(o){
    Noise.tick();
  }

  before(Object o) : set(* *.*) && !within(cooperari.aspectj) && target(o) {
    Noise.tick();
  }

  after(Object o) : set(* *.*) && !within(cooperari.aspectj) && target(o) {
    Noise.tick();
  }
}
