package cooperari.pppj14;

import org.junit.runner.RunWith;

import cooperari.junit.CTestOptions;
import cooperari.junit.CTestRunner;
import cooperari.junit.CoverageType;

/**
 * 
 * Cooperative test using the random coverage policy.
 * 
 * Change to history-dependent policy below using CoverageType.HDC .
 * IMPORTANT NOTES
 * -- you must add the 'instrumented' directory
 * manually to this test's classpath.
 * -- Cooperari works with a Java 7 JRE
 * 
 * @author Eduardo Marques, DI/FCUL, 2014
 *
 */
@RunWith(CTestRunner.class)
@CTestOptions
(
 coverage=CoverageType.RANDOM,
 //coverage=CoverageType.HDC,
 instrument = "cooperari.pppj14", 
 instrumentDataAccess = true, 
 detectRaces = true
)
public class CooperativeTest extends BaseTest { }
  


