package cooperari.aspectj;

import cooperari.coverage.Noise;

aspect ArrayAccess {

  before (Object o, int index) : arrayget() && target(o) && args(index) {
    Noise.tick();
  }

  after (Object o, int index) : arrayget() && target(o) && args(index) {

  }

  before (Object o, int index) : arrayset() && target(o) && args(index) {
    Noise.tick();
  }

  after (Object o, int index) : arrayset() && target(o) && args(index) {
    
  }
}
